"""Demonstrate iteration with strings, lists, tuples, ranges, and files."""


def main():
    print('\nString example:')
    vowels = 'aeiou'
    print(vowels)
    for vowel in vowels:
        print(vowel)

    print('\nList example:')
    states = ['Illinois', "Wisconsin", "Iowa"]
    print(states)
    for state in states:
        print(state)

    print('\nTuple example:')
    birds = ('dove', 'oriole', 'finch')
    print(birds)
    for bird in birds:
        print(bird)

    print('\nRange example:')
    values = range(5)
    print(values)
    for value in values:
        print(value)

    print('\nFile example:')
    data_directory = 'data'
    input_filename = 'words.txt'
    infile_path_and_name = f'{data_directory}/{input_filename}'
    infile = open(infile_path_and_name, 'r', encoding='utf-8')
    print(infile)
    for line in infile:
        print(line.strip())
    infile.close()


main()

